org.apache.avro.hadoop.io

## Class AvroSequenceFile.Writer

- java.lang.Object
- - org.apache.hadoop.io.SequenceFile.Writer
  - - org.apache.avro.hadoop.io.AvroSequenceFile.Writer

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable, StreamCapabilities, Syncable
  Enclosing class:
    AvroSequenceFile

      public static class AvroSequenceFile.Writer
      extends SequenceFile.Writer

  A writer for an uncompressed SequenceFile that supports Avro data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AvroSequenceFile.Writer.Options` A helper class to encapsulate the options that can be used to construct a Writer.

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.io.SequenceFile.Writer

      `SequenceFile.Writer.Option`

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.fs.StreamCapabilities

      `StreamCapabilities.StreamCapability`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.io.SequenceFile.Writer

      `compressedValSerializer, keySerializer, uncompressedValSerializer`

    - ### Fields inherited from interface org.apache.hadoop.fs.StreamCapabilities

      `ABORTABLE_STREAM, DROPBEHIND, HFLUSH, HSYNC, IOSTATISTICS, IOSTATISTICS_CONTEXT, PREADBYTEBUFFER, READAHEAD, READBYTEBUFFER, UNBUFFER, VECTOREDIO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Writer(AvroSequenceFile.Writer.Options options)` Creates a new `Writer` to a SequenceFile that supports Avro data.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.io.SequenceFile.Writer

      `append, append, appendIfExists, appendRaw, blockSize, bufferSize, close, compression, compression, file, flush, getCompressionCodec, getKeyClass, getLength, getValueClass, hasCapability, hflush, hsync, keyClass, metadata, progressable, replication, stream, sync, syncFs, syncInterval, valueClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Writer

          public Writer(AvroSequenceFile.Writer.Options options)
                 throws IOException

      Creates a new `Writer` to a SequenceFile that supports Avro data.
      Parameters:
        `options` - The writer options.
      Throws:
        `IOException` - If the writer cannot be initialized.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.